---@meta

---@class UWG_WinchBar_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WinnebagoImage UImage
---@field WG_WinchBar_Rope_Rear UWG_WinchBar_Rope_C
---@field WG_WinchBar_Rope_Front UWG_WinchBar_Rope_C
---@field Vehicle ABP_VehicleBase_C
---@field RearWinch ARGWinch
---@field FrontWinch ARGWinch
local UWG_WinchBar_C = {}

---@param DeltaTime double
function UWG_WinchBar_C:UpdateWinchBar(DeltaTime) end
---@param Vehicle ABP_VehicleBase_C
function UWG_WinchBar_C:SetupWinchBar(Vehicle) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UWG_WinchBar_C:Tick(MyGeometry, InDeltaTime) end
---@param EntryPoint int32
function UWG_WinchBar_C:ExecuteUbergraph_WG_WinchBar(EntryPoint) end


